<?php

namespace Drp\UserManagement\Http\Requests;

use Drp\UserManagement\Contracts\ManagedUser;
use Illuminate\Foundation\Http\FormRequest;

class UpdateUser extends FormRequest
{
    public function authorize(): bool
    {
        return $this->user()->can('manage', ManagedUser::class);
    }

    public function rules(): array
    {
        return [
            'name' => 'required',
            'email' => ['required', 'email', 'unique:users,email,' . $this->user->id],
        ];
    }
}
