<?php

namespace Drp\UserManagement\Mail;

use Drp\UserManagement\Events\AccountActivated as ActivatedEvent;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Mail;

class AccountActivation extends Mailable
{
    use Queueable, SerializesModels;

    public function handle(ActivatedEvent $event): void
    {
        Mail::to($event->user)->send(new static());
    }

    public function build(): AccountActivation
    {
        return $this
            ->markdown('userManagement::emails.account.activated');
    }
}
